#!/usr/local/bin/emacs --script

(require 'package)

(package-initialize)

(setq package-archives '(("melpa" . "https://melpa.org/packages/")
                         ("elpa" . "https://elpa.gnu.org/packages/")
                         ("org" . "http://orgmode.org/elpa/")))

(unless package-archive-contents
  (package-refresh-contents))

(unless (package-installed-p 'use-package)
  (package-install 'use-package))
(require 'use-package)
(setq use-package-always-ensure t)

(use-package htmlize)

(require 'ox-publish)
(require 'ox-html)
(require 'htmlize)
(require 'org)

(setq org-html-htmlize-output-type 'css)

(setq org-html-validation-link nil)
(setq org-publish-project-alist
      '(("tlakh"
         :base-directory "/var/www/htdocs/"
         :publishing-function org-html-publish-to-html
         :publishing-directory "/var/www/htdocs/"
         :section-numbers nil
         :with-author nil
         :with-email nil
         :with-timestamps nil
         :with-toc nil
         :with-creator: nil
	 :html-head-include-default-style: nil
         :html-head "<link rel=\"stylesheet\"
                    href=\"simple.min.css\"
                    type=\"text/css\"/>
                    <link rel=\"stylesheet\"
                    href=\"htmlize.css\"
                    type=\"text/css\"/>")))

(org-publish "tlakh")
